﻿class Instrument {
    public string Name { get; set; }
    public string Brand { get; set; }
    public decimal Price { get; set; }
}

class Guitar : Instrument {
    public int StringsNumber { get; set; }
    public string BodyMaterial { get; set; }
}

class Piano : Instrument {
    public int KeysNumber { get; set; }
    public string Type { get; set; }
}

class Accessory {
    public string Name { get; set; }
    public decimal Price { get; set; }
}

class GuitarPick : Accessory {
    public string Material { get; set; }
}

class SheetMusic : Accessory {
    public string Composer { get; set; }
}

class MusicStore {
    public List<Instrument> Instruments { get; set; }
    public List<Accessory> Accessories { get; set; }

    public MusicStore() {
        Instruments = new List<Instrument>();
        Accessories = new List<Accessory>();
    }

    public void AddInstrument(Instrument instrument) {
        Instruments.Add(instrument);
    }

    public void AddAccessory(Accessory accessory) {
        Accessories.Add(accessory);
    }
};